%global pypi_name zc.lockfile
%global pkg_name zc-lockfile

Name:           python-%{pkg_name}
Version:        2.0
Release:        %mkrel 1
Summary:        Basic inter-process locks
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/zc.lockfile
Source0:        %{pypi_source}
BuildArch:      noarch

%description
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically to lock
files, but to simply provide locks with an implementation based on
file-locking primitives. Of course, these locks could be used to mediate
access to other files. For example, the ZODB file storage implementation uses
file locks to mediate access to file-storage database files. The database
files and lock file files are separate files.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(zope.testing)
BuildRequires:  python3dist(mock)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pkg_name}
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically to lock
files, but to simply provide locks with an implementation based on
file-locking primitives. Of course, these locks could be used to mediate
access to other files. For example, the ZODB file storage implementation uses
file locks to mediate access to file-storage database files. The database
files and lock file files are separate files.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/examples

%files -n python3-%{pkg_name}
%doc LICENSE.txt COPYRIGHT.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/zc
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Wed Nov 11 2020 guillomovitch <guillomovitch> 2.0-1.mga8
+ Revision: 1644639
- imported package python-zc-lockfile

